# Locale::getDefault

# locale_get_default

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

Locale::getDefault -- locale_get_default — Gets the default locale value from the INTL global 'default_locale'

### Description

Object oriented style

public static Locale::getDefault ( void ) : string

Procedural style

locale_get_default ( void ) : string

Gets the default locale value. At the PHP initialization this value is set to 'intl.default_locale' value from php.ini if that value exists or from ICU's function uloc_getDefault().

### Parameters

### Return Values

The current runtime locale

### Examples

Example #1 locale_get_default() example

`<?php
ini_set('intl.default_locale', 'de-DE');
echo locale_get_default();
echo '; ';
locale_set_default('fr');
echo locale_get_default();
?>`

Example #2 OO example

`<?php
ini_set('intl.default_locale', 'de-DE');
echo Locale::getDefault();
echo '; ';
Locale::setDefault('fr');
echo Locale::getDefault();
?>`

The above example will output:

    de-DE; fr

### See Also

- locale_set_default() - Sets the default runtime locale